<mp-event-proxy id="clipboard-update-on-create-set" on-event-type="Components.SetManagement.SetAdded" proxy-event-type="Component.Refresh" proxy-targets='["clipboard"]'>
</mp-event-proxy>
<mp-event-proxy id="clipboard-update-on-save-search" on-event-source="save-search-result-action" proxy-event-type="Component.Refresh" proxy-targets='["clipboard"]'></mp-event-proxy>
<mp-event-proxy id="clipboard-update-on-persisted-component" on-event-source="persit-component-action" proxy-event-type="Component.Refresh" proxy-targets='["clipboard"]'></mp-event-proxy>
<semantic-search-result-holder>
 <div data-flex-self="md-full">
  <semantic-search-facet-breadcrumbs>
  </semantic-search-facet-breadcrumbs>
  <bs-tabs animation="false" class="tabs-right" default-active-key="6" id="search-results" unmount-on-exit="true">
   <bs-tab class="search-tab-timeline" event-key="2" title="[[i18n 'timeline' bundle='languages/resource_searchresults' locale=this.lang]]">
    <div>
     <!-- KP drop-down 
                    <semantic-search-result-context ranges='["http://www.cidoc-crm.org/cidoc-crm/E52_Time-Span"]'>
                        <div>   
                             fetch results -->
     <semantic-search-result>
      <lincs-timeline id="timeline" query="
      PREFIX crm: <http://www.cidoc-crm.org/cidoc-crm/>
      PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema#>
      SELECT ?subject ?type ?start ?event WHERE {
        {
          ?event (crm:P94_has_created|crm:P14_carried_out_by|crm:P95_has_formed|crm:P98_brought_into_life|crm:P100_was_death_of) ?subject;
            rdf:type ?type;
            crm:P4_has_time-span ?timespan.
          ?timespan crm:P82a_begin_of_the_begin ?start.
            FILTER(!EXISTS { ?event rdf:type crm:E13_Attribute_Assignment. })
            FILTER(((DATATYPE(?start)) = xsd:dateTime) || ((DATATYPE(?start)) = xsd:date))
          } UNION
          {
            ?subject rdf:type ?type ;
              crm:P4_has_time-span ?timespan.
            ?timespan crm:P82a_begin_of_the_begin ?start.
            FILTER(!EXISTS { ?subject rdf:type crm:E13_Attribute_Assignment. })
            FILTER(((DATATYPE(?start)) = xsd:dateTime) || ((DATATYPE(?start)) = xsd:date))
          }
          BIND(IF(!BOUND(?event), ?subject, ?event) as ?event)
      } LIMIT 1000"></lincs-timeline>
     </semantic-search-result>
    </div>
   </bs-tab>
   <bs-tab class="search-tab-chart" event-key="4" title="[[i18n 'chart' bundle='languages/resource_searchresults' locale=this.lang]]">
    <semantic-search-result-context ranges='["http://www.w3.org/2004/02/skos/core#Concept", "http://www.cidoc-crm.org/cidoc-crm/E53_Place"]'>
     <semantic-search-result id="semantic-search-result-chart">
      <mp-component-toolbar>
       <mp-component-toolbar-actions>
        <semantic-chart-type-selector default="bar" id="search-result-chart-type-selector" style="margin-right: 10px;" types='["line", "bar", "radar", "pie", "donut"]'>
        </semantic-chart-type-selector>
        <mp-component-toolbar-action-download>
        </mp-component-toolbar-action-download>
        <mp-component-toolbar-action-save add-to-default-set="true" id="persit-component-action" proxy-event-type="Component.Refresh">
        </mp-component-toolbar-action-save>
       </mp-component-toolbar-actions>
       <mp-component-toolbar-component>
        <semantic-chart id="search-result-chart" query='
                                        SELECT ?__value__ (COUNT(DISTINCT ?subject) as ?count) WHERE {
                                        OPTIONAL { FILTER(?__contextRelationPattern__) }
                                        BIND(IF(BOUND(?__value__), ?__value__, "Unknown") as ?__value__)
                                        } GROUP BY ?__value__ ORDER BY DESC(?count)
                                    ' sets='[{
                                        "category": "__value__",
                                        "value": "count"
                                    }]'>
        </semantic-chart>
       </mp-component-toolbar-component>
      </mp-component-toolbar>
     </semantic-search-result>
    </semantic-search-result-context>
   </bs-tab>
   <bs-tab class="search-tab-table" event-key="5" title="[[i18n 'table' bundle='languages/resource_searchresults' locale=this.lang]]">
    <semantic-search-result>
     <semantic-table column-configuration='[
                            {"variableName": "typeLabel", "displayName": "Type", "cellTemplate": "{{> type}}" },
                            {"variableName": "subject", "displayName": "Label", "cellTemplate": "{{> label}}" }
                            ]' id="semantic-search-result-table" options='{"showFilter":false, "resultsPerPage":40}' query='SELECT DISTINCT ?subject ?iri ?typeLabel WHERE {
                                BIND(?subject as ?iri) .
                                ?subject rdfs:label ?label ;
                                a ?type .
                                ?type rdfs:label ?typeLabel .
                                FILTER (lang(?typeLabel) = "en")
                            } ORDER BY ?label'>
      <template id="type">
       <div class="search-result-table__type" style="display: flex; align-items: center;">
        <i class="rs-icon rs-icon-drag_points">
        </i>
        <mp-draggable iri="{{iri.value}}">
         <div class="search-result-table__type-value">
          {{typeLabel.value}}
         </div>
        </mp-draggable>
       </div>
      </template>
      <template id="label">
       <mp-draggable iri="{{iri.value}}">
        <div>
         <mp-label iri="{{iri.value}}">
         </mp-label>
        </div>
       </mp-draggable>
      </template>
     </semantic-table>
    </semantic-search-result>
   </bs-tab>
   <bs-tab class="search-tab-grid" event-key="0" title="[[i18n 'map' bundle='languages/resource_searchresults' locale=this.lang]]">
    <semantic-search-result>
     <div style="height: 35vw;">
      <semantic-map id="semantic-search-result-map" query='SELECT DISTINCT ?subject ?wkt ?content WHERE {
          ?subject crm:P168_place_is_defined_by ?wkt .
          filter(! contains(str(?wkt), "MULTIPOLYGON"))
          OPTIONAL {
                  ?note (crm:P67_refers_to|crm:P129_is_about) ?subject ;
                  rdf:type crm:E33_Linguistic_Object;
                  crm:P190_has_symbolic_content ?content;
              }
          } LIMIT 10000' tuple-template='{{> mapItem }}'>
        <template id="mapItem">

            <semantic-link-container uri={{subject.value}} >
              <div style="padding-top: 5px; padding-bottom: 5px">
                {{#if content.value}}
                  <a title="{{content.value}}" style='text-decoration: underline;'>
                   <mp-label iri="{{subject.value}}"></mp-label>
                  </a>
                {{else}}
                  <a style='text-decoration: underline;'>
                    <mp-label iri="{{subject.value}}"></mp-label>
                  </a>
                {{/if}} 
              </div>
            </semantic-link-container>
        </template>

      </semantic-map>
     </div>
    </semantic-search-result>
   </bs-tab>
   <bs-tab class="search-tab-grid" event-key="6" title="[[i18n 'grid' bundle='languages/resource_searchresults' locale=this.lang]]">
    <semantic-search-result>
     [[#if (hasPermission "forms:ldp:*")]]
     <mp-selection-action-choice id="Action" selection="item-selection-aggregator" title="[[i18n 'with_selected' bundle='languages/resource_searchresults' locale=this.lang]]">
      <mp-create-set-action>
      </mp-create-set-action>
     </mp-selection-action-choice>
     [[/if]]
     <semantic-table id="semantic-search-result-grid" options='{"showFilter":false, "resultsPerPage":16}' query="SELECT DISTINCT ?subject ?iri WHERE { 
        BIND(?subject as ?iri) 
        {
          ?subject rdfs:label ?label . 
        } UNION {
          ?subject crm:P1_is_identified_by ?id .
          ?id crm:P2_has_type <http://vocab.getty.edu/aat/300417227> ;
            crm:P190_has_symbolic_content ?label . 
        } BIND(lcase(str(?label)) as ?labelx) } ORDER BY ?labelx" tuple-template="{{> gridItem }}">
      <template id="gridItem">
       <div class="card-select-container">
        [[#if (hasPermission "forms:ldp:*")]]
        <div class="card-select-input">
         <mp-selection-toggle selection="item-selection-aggregator" tag="{{iri.value}}">
         </mp-selection-toggle>
        </div>
        [[/if]]
        <mp-draggable iri="{{iri.value}}">
         <div class="rs-card-container">
          {{#bind iri=iri.value}}
                                            {{> rsp:itemCardTemplate cardMargin=6}}
                                        {{/bind}}
         </div>
        </mp-draggable>
       </div>
      </template>
     </semantic-table>
    </semantic-search-result>
   </bs-tab>
  </bs-tabs>
  <hr/>
  <div class="semantic-search-results-actions pull-right" style="display: flex;">
   <semantic-search-result>
    <mp-sparql-download filename="csv-result.csv" header="text/csv" id="csv-result" query="SELECT ?subject WHERE { }">
     <button class="rs-button rs-button-M1--dark" style="margin-right:10px">
      [[i18n "download_csv" bundle="languages/resource_searchresults" locale=this.lang]]
     </button>
    </mp-sparql-download>
   </semantic-search-result>
   <semantic-search-result>
    <mp-sparql-download filename="json-result.json" header="application/sparql-results+json" id="json-result" query="SELECT ?subject WHERE { }">
     <button class="rs-button rs-button-M1--dark" style="margin-right:10px">
      [[i18n "download_json" bundle="languages/resource_searchresults" locale=this.lang]]
     </button>
    </mp-sparql-download>
   </semantic-search-result>
   <mp-anonymous-hidden>
    <semantic-search-action-save-set-result id="save-set-result-action" proxy-event-type="Component.Refresh">
     <button class="rs-button rs-button-M1--dark" style="margin-right:10px">
      [[i18n "save_as" bundle="languages/resource_searchresults" locale=this.lang]]
     </button>
    </semantic-search-action-save-set-result>
   </mp-anonymous-hidden>
    <!--
   <mp-anonymous-hidden>
    <semantic-search-action-save-search-result add-to-default-set="true" id="save-search-result-action">
     <button class="rs-button rs-button-M1--dark" style="margin-right:10px">
      [[i18n "save_as_1" bundle="languages/resource_searchresults" locale=this.lang]]
     </button>
    </semantic-search-action-save-search-result>
   </mp-anonymous-hidden>
   -->
  </div>
 </div>
</semantic-search-result-holder>
